document.addEventListener('DOMContentLoaded', () => {
  const generateBtn = document.getElementById('generateBtn');
  const copyBtn = document.getElementById('copyBtn');
  const previewArea = document.getElementById('previewArea');

  const footerStyles = [
    'wave',
    'minimal',
    'gradient',
    'modern'
  ];

  let currentStyle = 0;

  const generateFooter = () => {
    currentStyle = (currentStyle + 1) % footerStyles.length;
    previewArea.className = `footer-preview ${footerStyles[currentStyle]}`;
    
    // Add animation
    previewArea.style.animation = 'none';
    previewArea.offsetHeight;
    previewArea.style.animation = 'fadeIn 0.5s ease-in-out';
  };

  const copyFooterCode = () => {
    const footerHtml = previewArea.innerHTML;
    navigator.clipboard.writeText(footerHtml)
      .then(() => {
        copyBtn.textContent = 'Copied!';
        setTimeout(() => {
          copyBtn.textContent = 'Copy Code';
        }, 2000);
      })
      .catch(err => {
        console.error('Failed to copy:', err);
      });
  };

  generateBtn.addEventListener('click', generateFooter);
  copyBtn.addEventListener('click', copyFooterCode);
});

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}